devel/pax-utils - The NetBSD Packages Collection

ELF related utils for ELF 32/64 binaries

pax-utils is a small set of utilities for peforming Q/A (mostly security)
checks on systems (most notably, `scanelf`).  It is focused on the ELF
format, but does include a Mach-O helper too for OS X systems.

While heavily integrated into Gentoo's build system, it can be used on any
distro as it is a generic toolset.

Originally focused only on PaX, it has been expanded to be generally
security focused.  It still has a good number of PaX helpers for people
interested in that.

Build dependencies

textproc/xmlto devel/meson pkgtools/mktools devel/gmake textproc/gsed pkgtools/cwrappers

Runtime dependencies

devel/py-pyelftools shells/bash lang/python310 lang/python310

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64pax-utils-1.3.5.tgz
NetBSD 10.0earmv6hfpax-utils-1.3.5.tgz
NetBSD 10.0earmv7hfpax-utils-1.3.5.tgz
NetBSD 10.0i386pax-utils-1.3.5.tgz
NetBSD 10.0powerpcpax-utils-1.3.5.tgz
NetBSD 10.0powerpcpax-utils-1.3.5.tgz
NetBSD 10.0x86_64pax-utils-1.3.5.tgz
NetBSD 10.0x86_64pax-utils-1.3.5.tgz
NetBSD 8.0i386pax-utils-1.3.4.tgz
NetBSD 8.0i386pax-utils-1.3.5.tgz
NetBSD 8.0powerpcpax-utils-1.3.5.tgz
NetBSD 8.0powerpcpax-utils-1.3.5.tgz
NetBSD 8.0x86_64pax-utils-1.3.4.tgz
NetBSD 8.0x86_64pax-utils-1.3.5.tgz
NetBSD 9.0aarch64pax-utils-1.3.5.tgz
NetBSD 9.0aarch64pax-utils-1.3.4.tgz
NetBSD 9.0alphapax-utils-1.3.3.tgz
NetBSD 9.0alphapax-utils-1.3.4.tgz
NetBSD 9.0alphapax-utils-1.3.5.tgz
NetBSD 9.0alphapax-utils-1.3.5.tgz
NetBSD 9.0earmv6hfpax-utils-1.3.4.tgz
NetBSD 9.0earmv6hfpax-utils-1.3.5.tgz
NetBSD 9.0earmv7hfpax-utils-1.3.5.tgz
NetBSD 9.0earmv7hfpax-utils-1.3.4.tgz
NetBSD 9.0i386pax-utils-1.3.4.tgz
NetBSD 9.0i386pax-utils-1.3.4.tgz
NetBSD 9.0i386pax-utils-1.3.5.tgz
NetBSD 9.0mips64ebpax-utils-1.3.3.tgz
NetBSD 9.0powerpcpax-utils-1.3.5.tgz
NetBSD 9.0powerpcpax-utils-1.3.4.tgz
NetBSD 9.0powerpcpax-utils-1.3.5.tgz
NetBSD 9.0sparc64pax-utils-1.3.3.tgz
NetBSD 9.0sparc64pax-utils-1.3.4.tgz
NetBSD 9.0sparc64pax-utils-1.3.5.tgz
NetBSD 9.0sparc64pax-utils-1.3.5.tgz
NetBSD 9.0sparcpax-utils-1.3.4.tgz
NetBSD 9.0sparcpax-utils-1.3.5.tgz
NetBSD 9.0x86_64pax-utils-1.3.4nb1.tgz
NetBSD 9.0x86_64pax-utils-1.3.4.tgz
NetBSD 9.0x86_64pax-utils-1.3.4.tgz
NetBSD 9.0x86_64pax-utils-1.3.5.tgz
NetBSD 9.0x86_64pax-utils-1.3.5.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.